<div class="container mt-3" *ngIf="car">
  <h2>{{pageTitle}}</h2>
  <hr>
  <div class="text-center alert" [ngClass]="resStatus=='success'?'alert-success':'alert-danger'" *ngIf="resStatus">{{message}}</div>
  <form #formNewCar="ngForm" (ngSubmit)="onSubmit()" class="col-10 offset-1">
    <div class="form-group">
      <label for="title">Título</label>
      <input type="text" id="title" name="title" #title="ngModel" [(ngModel)]="car.title" class="form-control" pattern=".{5,}" required>
      <div class="d-block invalid-feedback" *ngIf="title.invalid && title.touched">El título no es válido</div>
    </div>
    <div class="form-group">
        <label for="price">Precio</label>
        <input type="number" id="price" name="price" #price="ngModel" [(ngModel)]="car.price" class="form-control" pattern="[0-9,]+" required />
        <div class="d-block invalid-feedback" *ngIf="price.invalid && price.touched">El precio no es válido</div>
    </div>
    <div class="form-group">
      <label for="status">¿A la venta?</label>
      <select name="status" id="status" #status="ngModel" [(ngModel)]="car.status" class="form-control col-1">
        <option value="true" selected>Sí</option>
        <option value="false">No</option>
      </select>
    </div>
    <div class="form-group">
      <label for="description">Descripción</label>
      <textarea name="description" id="description" #description="ngModel" [(ngModel)]="car.description" class="form-control">
      </textarea>
    </div>
    <div class="form-group">
      <input type="submit" value="{{pageTitle}}" class="btn btn-primary" [disabled]="formNewCar.form.invalid">
    </div>

  </form>
</div>